import React from 'react';

const TreePrint = ({ className, style }) => {
  return (
    <svg
      width="484"
      height="391"
      viewBox="0 0 484 391"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      className={className}
      style={style}
    >
      <g clip-path="url(#clip0_564_1445)">
        <path
          opacity="0.1"
          d="M521.771 235.993L512.552 241.92C513.406 230.92 520.448 223.956 525.162 215.795H525.167C530.485 207.472 535.349 198.877 539.745 190.035L513.969 209.128C510.397 204.342 510.756 200.935 513.818 197.633C517.251 193.326 521.053 189.331 525.183 185.696C528.443 183.248 530.881 177.795 537.011 180.519C538.209 181.05 540.876 178.362 542.824 177.091C548.548 173.367 550.464 164.717 558.98 164.602L564.48 148.685L562.745 147.409L539.667 175.102C538.245 166.951 545.651 163.607 547.187 156.014C538.823 158.821 531.291 163.681 525.286 170.145C520.343 174.546 515.781 179.426 510.551 183.452L510.546 183.447C506.025 186.999 502.65 191.811 500.859 197.28C499.067 202.744 498.937 208.618 500.484 214.16C503.26 222.743 505.567 231.483 508.51 240.004C509.916 242.749 511.567 245.363 513.442 247.817C515.083 250.691 518.369 253.421 514.051 258.322C501.317 252.301 496.854 238.124 486.467 228.759C487.863 244.967 496.499 259.114 496.962 277.114C485.004 269.207 485.04 256.296 475.842 247.587C478.425 262.123 486.108 274.363 485.05 287.904C478.67 289.816 477.571 285.634 476.045 282.759C469.806 270.998 463.826 259.097 457.149 247.384C458.951 261.837 465.805 275.635 464.227 290.431L461.759 291.191L443.977 258.29C439.602 268.706 446.774 278.368 440.967 287.618V287.623C435.337 283.102 431.54 276.685 430.285 269.576C427.571 260.212 426.649 250.341 424.477 240.795C422.858 233.691 420.467 226.759 418.29 219.305L402.41 222.269L401.681 243.092L403.675 243.649L409.691 224.16C413.358 231.451 412.785 234.102 410.019 258.222C408.779 269.056 410.212 280.196 405.092 291.644L405.087 291.649C398.764 283.758 395.311 273.952 395.285 263.837C387.529 269.811 389.894 281.285 378.315 284.149C379.018 279.727 379.612 276.201 380.128 272.67C380.685 268.847 381.164 265.013 381.94 259.2C374.555 265.867 375.373 273.831 372.654 280.227L372.659 280.232C370.717 287.347 365.711 293.237 359.003 296.306C361.029 288.743 363.42 281.254 364.977 273.592L364.982 273.597C366.519 265.873 367.285 258.013 367.258 250.144C363.284 264.436 357.764 278.253 350.794 291.352C345.326 279.05 353.951 270.852 353.951 261.425V261.42C354.649 251.634 356.279 241.931 358.815 232.451C360.685 222.904 362.826 213.41 364.846 203.894L362.43 202.8L330.924 253.742C327.846 243.961 333.19 236.945 335.857 229.284C338.826 220.747 342.06 212.289 345.581 203.972C348.94 196.04 356.122 188.122 355.643 180.576C355.029 170.899 364.763 165.737 362.451 155.821L349.779 163.285L348.513 162.03L354.695 152.269V152.274C341.357 158.717 330.029 168.681 321.93 181.086L343.753 168.732L345.336 170.623C340.284 180.014 335.237 189.404 329.456 200.144C339.248 196.525 341.362 185.874 352.565 181.702C347.534 189.873 341.852 197.628 335.576 204.895C329.232 213.369 322.623 221.65 315.909 229.838C314.732 231.27 312.472 231.817 308.659 233.89C313.737 215.884 323.555 202.718 331.055 186.931C312.301 192.4 302.457 211.051 281.749 213.868C294.233 198.754 305.514 185.098 316.79 171.447C304.191 171.291 295.987 179.051 286.363 183.666L286.369 183.661C285.436 184.348 284.785 185.348 284.53 186.478C281.738 197.02 274.728 205.942 265.145 211.145C275.665 238.358 298.822 257 306.478 284.416C306.593 284.822 305.53 285.562 304.113 287.176C282.045 271.327 267.859 247.457 246.02 229.583H246.025C248.166 240.494 249.749 251.515 250.755 262.593C251.187 272.719 256.114 282.995 250.421 295.552C247.291 285.328 245.14 277.068 242.213 269.093C239.057 260.552 235.145 252.307 230.525 244.457C229.057 263.577 224.593 282.343 217.291 300.072C211.796 288.093 216.671 278.119 213.604 268.004C202.848 278.275 203.739 296.499 187.052 305.119C190.286 292.905 193.484 283.061 195.395 272.973H195.39C197.13 263.031 197.901 252.947 197.697 242.864C182.671 256.166 176.224 275.703 160.979 288.635C163.625 272.979 172.573 259.437 176.557 242.687C165.922 245.666 157.031 248.161 147.208 250.911C149.614 260.999 151.432 270.973 154.453 280.567C157.307 289.614 161.432 298.26 163.953 307.764C150.532 305.061 148.724 291.457 139.849 282.993C141.24 294.79 144.495 306.285 149.5 317.056C153.307 322.291 153.802 329.233 150.776 334.952C139.703 321.843 131.276 306.712 125.964 290.395C122.959 300.41 119.912 310.416 116.954 320.447C114.073 330.197 116.704 341.389 108.875 350.103C104.657 336.139 112.303 322.045 107.62 306.269C104.922 317.962 105.501 329.119 97.464 338.671C92.8703 329.384 98.1307 321.197 96.5265 313.067C94.9796 323.791 88.5734 333.807 93.7661 345.457C95.0838 350.228 94.8807 355.286 93.188 359.936C91.5005 364.587 88.4016 368.592 84.3287 371.405L85.7765 324.265C82.7036 326.244 80.3598 326.989 79.2401 328.588C68.5994 343.853 52.7188 353.916 40.6095 367.703C37.172 371.619 33.1302 370.791 28.1302 368.796C43.2862 346.312 58.0676 324.39 72.8756 302.432C58.0529 306.797 42.9436 311.245 27.7303 315.719C26.022 309.5 29.8813 308.786 32.8396 306.984H32.8448C49.7515 297.755 65.2088 286.088 78.7195 272.354C74.5944 273.494 72.3028 273.932 70.1621 274.749C57.6673 279.525 45.2768 284.572 32.7141 289.165C23.6829 292.468 18.1835 293.582 12.8541 281.738H12.8593C9.2552 276.15 4.93227 271.067 0 266.608C1.21875 262.425 6.06254 261.061 11.6197 259.67C39.4531 252.696 67.2077 245.389 94.9691 238.124H94.9639C99.1253 236.837 102.901 234.535 105.959 231.431C109.636 228.145 116.855 228.962 122.443 227.645C136.839 224.238 151.188 220.639 168.183 216.473C160.797 210.467 150.907 208.546 141.813 211.342C123.844 216.962 105.507 221.301 86.928 224.316C79.7144 225.957 72.3347 226.848 62.5733 228.499L95.292 231.108L95.4066 233.629H95.4014C82.2451 236.259 68.8547 237.504 55.4427 237.342C41.5987 238.394 27.6774 237.087 14.276 233.478C28.0827 227.316 43.0574 227.728 57.276 224.504C71.8387 221.207 86.6307 218.895 102.568 215.915C90.2347 208.077 74.8494 213.118 62.4427 203.769C74.9375 196.759 88.5214 204.681 100.735 196.639C93.2868 194.889 87.188 193.691 81.2347 191.993C73.4118 189.759 65.6987 187.134 57.9534 184.629C57.2398 184.4 56.0888 183.853 56.0627 183.394C55.6148 175.597 47.693 174.332 44.1512 168.4C50.9742 169.676 57.7872 171.019 64.6246 172.212C71.2183 173.363 77.8434 174.332 84.4473 175.441C97.9739 177.712 111.609 181.082 124.125 169.494C114.484 165.009 104.546 160.384 94.6032 155.764C87.7803 150.592 80.9579 145.421 74.1339 140.248H74.1235C79.0558 147.566 86.3317 152.972 94.7542 155.587L114.041 174.066C111.322 173.852 108.645 173.248 106.098 172.279C91.5408 162.227 76.9262 152.227 62.7382 141.659H62.7434C56.91 137.008 51.4986 131.857 46.5607 126.263C45.0138 124.623 44.8211 121.711 43.1752 116.982H43.1804C53.7846 120.555 63.6751 125.982 72.3778 133.023C81.2736 138.612 90.0658 144.357 99.3511 149.529C80.4604 120.622 51.3671 100.815 30.5911 73.794C39.6223 64.8356 40.4608 64.9034 48.1124 72.1169C60.3624 83.6639 72.7631 95.0543 84.8671 106.289C78.6015 80.0809 62.4244 56.4036 61.9604 27.8676C70.799 34.9301 74.0802 45.4609 79.6631 54.4089C85.2828 63.4141 90.1006 72.9196 95.6524 81.9716C101.345 91.2476 107.501 100.242 113.694 109.721C114.918 108.138 116.329 107.112 116.204 106.341C114.912 98.6636 113.793 90.9193 111.798 83.414C108.303 70.2421 108.063 70.3099 121.006 65.0967V65.0915C121.47 52.9196 127.761 41.7168 137.908 34.9768C139.782 33.5393 140.496 30.5705 141.71 28.2893C143.298 23.9924 145.517 19.956 148.293 16.3101C154.486 10.456 161.168 5.14346 168.272 0.43013C174.428 -4.10107 183.064 -3.00214 187.886 2.93533C192.079 0.674934 196.402 -1.34068 200.829 -3.10628C205.954 -5.51775 211.871 -5.59587 217.058 -3.31982C222.246 -1.04376 226.194 3.35725 227.897 8.75832C231.767 16.7062 238.241 23.0917 246.241 26.8517C260.053 34.2995 273.044 43.273 286.386 51.597V51.5918C287.631 52.5345 289.209 52.9251 290.746 52.6699C282.855 45.1647 275.382 37.2326 268.35 28.9152C251.276 6.3219 232.418 -14.8715 211.959 -34.4488C209.683 -36.5998 206.922 -38.6624 210.641 -43.2769C228.302 -31.4228 240.344 -13.5169 256.537 -0.172897C272.854 13.2751 288.594 27.4258 305.277 40.6764C298.277 27.4212 287.266 16.6764 282.225 2.36977C292.465 5.33337 294.298 16.4218 304.714 22.3124C282.73 -13.0422 261.48 -46.4009 251.657 -85.0209C255.459 -88.7969 257.756 -86.5209 259.428 -83.5834C265.074 -73.6772 270.324 -63.5368 276.1 -53.7088C293.652 -23.8541 311.324 5.92722 329.116 35.6352H329.111C331.262 39.0102 334.465 41.5727 338.23 42.9216C335.152 33.6924 331.658 24.5776 329.121 15.203C326.621 5.96856 321.34 -2.66106 321.803 -13.1571C328.1 -13.5477 329.324 -9.09452 331.173 -5.44345C336.152 4.38468 340.991 14.2859 346.094 24.0459C347.808 27.3271 350.157 30.2751 352.808 34.2595C354.86 26.098 346.829 19.8062 353.542 11.2022C363.834 27.2328 369.782 44.7901 382.069 58.3275C388.694 53.916 388.043 48.5931 386.309 42.4475V42.4423C380.152 21.609 369.511 2.37428 355.126 -13.9017C349.767 -20.1935 344.183 -26.2924 338.871 -32.6257C337.293 -34.8132 335.877 -37.1101 334.637 -39.506C340.97 -42.7977 343.153 -38.0372 345.923 -35.2248C356.116 -24.8655 366.174 -14.3648 376.309 -3.94878C377.194 -3.30816 378.142 -2.7613 379.142 -2.32372C379.923 -14.9435 372.939 -24.485 366.809 -35.7877C377.428 -35.3606 378.163 -26.5795 382.798 -22.3144C387.668 -17.1165 393.069 -12.4447 398.907 -8.36639L391.652 -32.3197C407.231 -21.2676 415.699 -7.03306 427.636 5.22694C436.49 -5.42413 446.986 -0.121971 457.084 1.04469C460.24 1.40928 463.402 1.7374 469.063 2.35719C462.199 -9.16881 450.037 -7.5491 443.699 -14.6842C446.173 -19.4967 449.673 -17.2571 452.069 -16.2519C470.528 -8.50709 488.902 -0.563873 507.194 7.57613C513.585 10.4303 519.596 14.1439 526.268 16.8261H526.263C520.945 10.4303 514.773 4.78972 507.929 0.0554504C501.882 -5.22055 492.956 -6.91855 488.643 -15.0019C495.148 -15.606 495.127 -15.5696 512.773 -5.47588C520.575 -1.01749 528.481 3.25851 538.831 8.99745C533.643 0.216248 530.117 -6.52922 525.841 -12.7572C521.596 -18.9395 516.596 -24.6062 510.69 -32.0599C519.321 -32.3411 522.294 -27.3568 526.305 -24.0391C544.461 -9.02308 562.445 6.22092 581.092 20.6169C588.904 26.6481 590.675 25.4659 595.217 16.7107C601.92 3.794 609.222 2.04398 622.004 10.7836C631.051 6.02319 640.806 1.77319 649.577 -3.98174H649.572C658.384 -9.19001 668.28 -12.2943 678.489 -13.0547C685.656 -13.5286 692.702 -11.0547 698 -6.20574C703.604 -2.00787 703.036 2.23173 696.818 5.60159C688.885 9.89853 680.766 13.8568 672.667 17.8412C656.823 25.6381 640.984 33.4452 625.042 41.0292H625.036C621.193 42.9251 617.109 44.2844 612.896 45.0708C606.661 46.1281 602.646 48.7583 602.265 56.0448V56.05C604.192 57.1646 606.255 58.0292 608.401 58.6229C629.396 61.9563 649.797 68.3208 668.969 77.5136C672.208 78.8261 675.521 79.9563 678.891 80.8939C680.995 81.2324 682.844 82.4928 683.938 84.3261C685.031 86.1594 685.255 88.3835 684.557 90.399C674.526 90.4199 664.625 88.1073 655.645 83.6335C644.651 78.7897 632.583 76.9043 620.635 78.1595C631.484 82.4147 642.083 87.2792 652.384 92.7221C662.337 98.618 674.712 100.441 683.217 108.774L682.025 111.649C670.665 108.482 659.306 105.316 646.389 101.717C653.732 110.753 660.539 118.159 666.191 126.362C671.738 134.414 679.675 141.409 681.489 153.409C669.082 149.633 657.786 147.539 651.625 135.742C654.005 141.367 656.494 146.95 658.744 152.622C661.349 159.179 663.5 165.929 666.307 172.393C668.833 178.2 676.328 181.023 677.364 188.929C672.895 190.705 667.812 188.757 665.677 184.45C662.443 175.356 654.536 172.517 646.531 168.726C651.662 180.611 656.797 192.502 662.354 205.376V205.371C656.552 205.819 651.12 202.475 648.901 197.1C640.932 184.507 633.094 171.835 623.974 159.835C627.88 166.882 631.422 174.132 634.573 181.554C637.188 188.569 644.927 194.022 642.807 204.778C629.031 194.069 617.083 181.199 607.433 166.668C607.625 168.59 607.985 170.486 608.521 172.34C613.292 184.825 618.292 197.22 622.969 209.736C624.271 213.221 626.157 217.262 620.428 220.71C605.053 206.751 607.006 184.221 594.25 168.533C595.183 176.715 596.365 184.585 596.917 192.502C597.849 205.841 598.516 219.195 598.907 232.565C598.948 234.065 596.459 235.638 593.532 239.06L586.011 203.508C583.464 214.705 584.756 227.716 579.016 239.57C570.777 227.799 574.74 214.232 570.969 201.3C568.928 209.982 566.62 218.606 564.917 227.357C563.495 234.675 562.953 242.16 561.672 249.508H561.677C560.969 253.627 559.386 257.539 557.032 260.992C548.766 251.221 557.204 239.961 552.526 228.601C547.985 233.502 543.375 237.95 539.401 242.899C534.974 248.414 531.151 254.414 527.016 260.164C524.729 263.346 524.677 263.315 517.38 264.039C524.396 251.279 531.074 239.127 537.755 226.976L536.104 225.716L523.505 239.961C522.547 237.883 522.073 236.852 521.604 235.826C523.583 233.972 525.557 232.112 527.536 230.258L525.693 228.742L521.771 235.993ZM258.891 84.2328L267 90.5192L268.459 87.811L258.756 84.3943L258.761 84.3891C256.303 80.1755 251.193 78.3214 246.61 79.9776C250.704 81.3943 254.797 82.811 258.891 84.2328ZM544.851 197.769C552.575 192.649 557.523 184.269 558.288 175.034C552.971 183.618 548.71 190.493 544.455 197.373L539.028 203.092L540.757 204.378L544.851 197.769ZM559.398 90.7995L584.788 73.8982C574.44 76.0023 565.356 82.143 559.559 90.9662L549.981 97.461L551.554 99.2943C554.168 96.4662 556.783 93.6328 559.398 90.8047L559.398 90.7995ZM37.5177 274.906L46.5281 268.411L50.5803 264.854C48.9292 263.583 47.0125 260.979 45.6688 261.25C35.45 262.062 26.3194 267.943 21.3568 276.911C29.836 281.323 30.4085 281.24 37.5177 274.906ZM555.518 135.76L550.601 147.124C565.158 137.848 565.158 137.848 565.054 130.597L555.325 135.967L560.263 127.337L526.623 138.488L528.659 159.791C533.081 155.655 536.029 152.77 539.112 150.035C544.544 145.228 550.05 140.515 555.519 135.759L555.518 135.76ZM551.606 38.8275L535.7 28.5411L534.22 31.5151L551.794 38.6192C554.226 39.3172 557.205 41.2703 558.986 40.489C566.257 37.3119 573.164 33.2963 581.35 28.989L543.028 0.816971C546.309 16.1143 563.444 18.5303 568.288 32.353L533.6 11.717L531.928 14.2222C540.74 21.2743 549.553 28.3208 559.975 36.6595C555.662 37.7689 553.641 38.2898 551.605 38.8262L551.606 38.8275ZM180.726 42.9056C170.497 44.6452 166.986 48.7546 165.31 61.9216H165.315C187.403 60.4061 209.597 62.2342 231.143 67.3383C230.8 58.5571 230.862 58.4372 224.472 55.1612C221.305 53.5362 217.867 52.6196 218.383 47.8331C218.492 46.8435 216.904 45.0779 215.732 44.6352L215.727 44.63C207.091 40.1716 197.243 38.6352 187.659 40.2446L189.622 54.7752L188.284 54.8065L181.779 42.8898L180.726 42.9056ZM311.596 116.556C324.257 120.713 336.924 124.869 350.622 129.364L350.299 110.738C321.679 101.603 300.789 76.5036 270.862 67.5303C278.846 73.1344 287.643 77.374 295.737 82.681C303.56 87.806 310.414 94.2747 318.201 99.6183H318.211C326.643 103.853 333.872 110.155 339.222 117.925C335.862 117.498 332.644 116.289 329.831 114.394C317.706 107.284 305.711 99.9458 293.399 93.1858V93.191C289.982 91.9826 286.399 91.316 282.779 91.2066C281.243 99.7482 287.384 100.123 291.035 102.201H291.04C298.977 105.337 306.066 110.3 311.722 116.696C304.472 112.982 297.264 109.191 289.946 105.613C287.379 104.738 284.738 104.076 282.061 103.644C284.514 107.133 285.259 109.451 286.717 110.05C293.874 113.014 301.191 115.592 308.529 118.081C309.29 118.342 310.566 117.102 311.602 116.555L311.596 116.556ZM197.106 96.187C206.528 83.8952 217.076 95.7338 228.388 92.6818C227.294 88.5099 227.46 83.8954 225.237 81.7234L225.247 81.7286C220.382 75.9786 213.414 72.4264 205.903 71.8692C192.762 70.8119 179.564 70.7547 166.414 71.7078C161.533 72.2026 156.903 74.1349 153.122 77.2703C149.341 80.4006 146.575 84.588 145.184 89.2963C143.768 93.166 143.023 97.2807 142.007 101.161V101.156C147.289 103.275 152.679 105.104 158.158 106.645C165.455 107.598 172.185 111.083 177.169 116.494C182.153 121.906 185.08 128.895 185.439 136.244C185.497 136.796 186.502 137.254 187.549 138.186C190.804 135.671 194.08 132.957 197.538 130.514C201.575 126.78 206.236 123.775 211.309 121.645C223.523 118.634 224.924 109.811 226.32 98.5299C216.044 97.707 206.574 96.9466 197.112 96.1914L197.106 96.187ZM259.56 166.791C260.075 153.463 253.497 144.64 248.481 135.536C244.075 127.536 226.003 123.963 217.695 128.182C203.908 135.187 203.919 135.187 205.137 151.578C205.19 152.25 204.637 152.964 203.575 155.698L199.07 137.949C190.992 147.709 183.586 156.022 177.059 164.97L177.064 164.975C175.497 168.09 175.215 171.699 176.293 175.022C178.434 181.371 180.903 187.605 183.689 193.699C187.471 191.569 191.101 189.179 194.549 186.543C207.872 174.673 225.289 168.444 243.117 169.168C248.653 168.804 254.148 168.007 259.565 166.794L259.56 166.791ZM403.986 173.588C419.184 174.083 432.861 174.989 446.508 174.703L446.513 174.708C451.065 174.343 455.351 172.4 458.633 169.218C466.622 159.551 475.721 150.858 485.742 143.317C486.612 142.786 486.961 141.4 488.206 139.306C485.18 137.067 482.023 135.009 478.752 133.145C464.94 126.254 449.731 127.541 435.007 126.322C430.32 126.213 425.648 126.832 421.152 128.155C414.486 129.728 409.121 134.66 407.002 141.176C405.799 144.812 408.658 149.754 409.564 154.135C410.033 156.4 410.226 158.718 410.835 163.119L401.481 156.478L403.986 173.588ZM460.434 94.7332C458.221 88.3895 454.945 83.0406 448.174 82.004C436.7 80.254 427.491 86.8478 417.914 91.6551C417.169 92.0301 417.252 94.0562 417.133 94.5562L408.383 91.9936C413.299 100.061 416.555 106.332 420.758 111.879V111.889C422.924 114.457 425.945 116.15 429.268 116.665C441.69 118.296 454.315 118.582 466.653 120.629C471.507 121.671 476.57 121.051 481.023 118.869C485.481 116.686 489.075 113.066 491.22 108.593C482.111 100.457 472.007 93.5139 461.147 87.9259L460.434 94.7332ZM124.221 112.103C124.961 124.941 127.95 137.551 133.065 149.353C134.716 154.869 139.971 158.504 145.716 158.103C151.591 158.082 157.466 159.207 163.346 159.28V159.275C169.07 159.504 174.284 155.989 176.216 150.588C178.706 144.124 178.513 136.937 175.685 130.614C172.857 124.291 167.628 119.354 161.154 116.901C149.498 112.005 136.742 110.349 124.222 112.104L124.221 112.103ZM372.341 81.3479C373.903 98.7492 374.898 113.541 376.669 128.244H376.664C377.034 132.624 378.763 136.78 381.607 140.135C384.455 143.483 388.278 145.864 392.539 146.937L413.112 120.062C409.149 98.15 390.95 91.5826 372.341 81.3479ZM424.868 32.4626V32.4574C422.998 33.4782 421.055 34.3428 419.05 35.0459C415.701 29.7074 412.909 33.7126 410.378 35.5355H410.373C403.43 41.4052 398.56 49.3475 396.482 58.1968C394.404 67.0457 395.227 76.3328 398.831 84.6755C412.607 82.0921 426.019 77.8577 438.779 72.0609L424.868 32.4626ZM271.894 21.3271L270.269 23.0771C279.837 33.4052 289.409 43.7331 298.977 54.0611C308.535 64.3423 318.108 74.6078 327.696 84.8584L325.665 86.9887L302.31 68.114C302.685 70.6192 304.956 71.963 305.076 73.4786C305.706 81.2859 311.466 84.416 317.159 87.6866C326.617 93.124 336.102 98.5147 345.612 103.869C348.284 105.38 351.029 106.755 354.102 108.385L358.102 103.062C330.706 73.7339 304.154 44.4778 271.894 21.3271ZM463.228 179.54C473.254 179.363 481.332 178.681 489.337 179.191C510.962 180.572 522.425 165.691 515.233 144.197C491.306 145.124 477.102 160.379 463.228 179.54ZM232.441 119.286C247.753 117.629 254.301 130.057 264.41 135.931C270.853 130.77 274.832 123.134 275.379 114.89C263.77 106.244 250.406 104.322 236.108 101.832L232.441 119.286ZM460.001 48.1191L461.829 48.5983H461.824C461.589 50.4368 461.475 52.2909 461.485 54.1452C461.824 56.6712 462.287 59.1868 462.881 61.666L477.564 53.2597C476.293 40.2024 475.413 39.6757 463.22 37.2184C458.282 36.1559 453.288 35.3695 448.261 34.8539C444.126 34.7028 439.99 34.7705 435.865 35.057C439.704 45.4007 442.886 53.989 446.183 62.869L458.897 61.0045L460.001 48.1191ZM460.152 77.5618C472.688 86.9576 487.251 92.3071 498.037 103.14C498.162 103.265 498.74 102.937 500.657 102.333L497.49 94.7915C498.558 92.7238 499.891 90.8071 501.459 89.0885C504.876 86.2082 506.918 82.5 504.042 79.0833V79.0885C501.423 75.3854 497.522 72.7915 493.095 71.8021C481.813 71.1198 470.527 73.0885 460.147 77.5625L460.152 77.5618ZM166.525 169.515L147.052 166.682C147.656 170.499 147.917 172.75 148.396 174.953C148.776 176.708 149.432 178.406 150.661 182.395L140.5 169.296C145.323 190.442 161.751 205.182 178.249 203.87L166.525 169.515ZM484.312 125.02C488.489 128.39 491.557 130.661 494.395 133.192C500.364 138.505 509.395 137.854 519.103 131.244C524.739 127.406 525.275 123.281 521.114 113.26C508.145 113.823 495.046 114.151 484.302 125.026L484.312 125.02ZM335.552 20.4578C339.245 31.9214 343.937 43.0418 349.579 53.6818C355.261 62.6454 361.37 74.0311 377.391 71.4271C377.656 68.2864 379.37 64.0156 377.974 61.4219V61.4167C373.891 54.6823 369.401 48.1979 364.531 42.0047C363.755 50.0411 372.26 54.0568 369.469 63.754C356.125 49.6034 347.723 33.8114 335.551 20.4567L335.552 20.4578ZM212.557 213.484C217.438 216.141 223.021 217.214 228.531 216.552C234.046 215.896 239.218 213.542 243.333 209.813C248.745 203.891 247.396 190.953 239.573 179.187C238.026 196.703 225.021 204.786 212.557 213.484ZM450.531 196.214C473.192 210.495 483.317 208.667 492.557 189.25C482.068 185.568 475.787 186.125 469.547 191.297C462.422 186.547 457.807 187.62 450.531 196.214ZM128.677 165.416L131.281 162.677C128.448 159.083 125.865 155.26 122.719 151.969C119.495 148.594 115.578 145.896 112.219 142.64C97.8389 128.703 83.5736 114.64 69.1922 100.703V100.698C67.5048 99.302 65.6974 98.052 63.8016 96.9583C80.1709 117.365 97.2909 136.756 114.864 155.718C119.109 159.437 123.739 162.687 128.676 165.416L128.677 165.416ZM133.995 184.047C112.802 182.87 92.115 181.724 71.427 180.578C93.6564 189.698 117.302 194.906 141.312 195.969L133.995 184.047ZM236.006 95.3498C250.62 99.2247 262.918 106.345 279.579 104.678C276.173 100.881 274.615 97.5582 272.215 96.7404C260.652 92.8289 250.86 84.2978 237.116 82.2711L236.006 95.3498ZM246.704 221.178C261.256 236.136 274.584 249.828 287.906 263.527L289 262.564C279.172 246.574 269.339 230.59 259.213 214.121C254.578 216.741 251.26 218.61 246.703 221.183L246.704 221.178ZM372.766 189.984L365.844 230.396C372.068 222.849 369.662 212.735 377.324 206.058C381.949 213.381 376.792 219.719 377.563 226.031V226.026C378.094 232.896 378.266 239.791 378.084 246.677L380.396 247.989H380.402C380.902 246.89 381.256 245.734 381.464 244.546C382.053 230.478 382.73 216.416 382.985 202.338C383.079 196.76 379.756 193.031 372.766 189.989V189.984ZM486.569 38.5444C484.262 52.7218 485.725 58.5964 507.001 55.0498L505.386 44.0498L506.725 43.5498L514.235 54.482C514.511 36.8367 505.256 31.2004 486.569 38.5444ZM566.616 74.5084C552.886 74.3991 544.23 82.7532 534.761 87.3991L531.266 108.039C542.235 97.638 553.944 86.5284 566.616 74.5084ZM373.522 162.702L372.038 163.973C374.444 168.311 377.095 172.54 379.199 177.02C382.236 183.478 386.98 185.171 394.887 182.806L392.794 153.555C390.596 157.123 389.861 158.31 389.127 159.488C382.825 151.394 382.825 151.394 375.804 154.086L379.09 165.826L373.522 162.702ZM229.496 178.962C224.99 180.55 221.058 180.826 219.11 182.936C217.12 185.087 217.079 189.04 215.907 193.17L212.022 186.858C205.469 186.993 206.704 192.092 205.48 195.472C199.48 191.904 199.48 191.904 190.797 202.993L201.745 208.081C207.792 203.8 212.714 199.868 218.068 196.639L218.063 196.634C224.427 192.858 228.662 186.316 229.496 178.962ZM424.869 181.795C419.384 182.436 415.119 183.014 410.833 183.42C408.619 183.514 406.567 184.587 405.229 186.347C403.885 188.102 403.39 190.368 403.875 192.524C404.817 195.712 407.333 198.191 410.536 199.087C418.546 200.691 426.864 199.108 433.724 194.675L424.869 181.795ZM114.909 128.191L117.461 126.389C105.216 107.488 92.977 88.5916 80.5704 69.441C82.534 95.1543 100.04 110.858 114.909 128.191ZM54.4769 341.778C69.1849 331.47 81.2636 317.851 89.7476 302.018C91.185 298.419 92.0028 294.601 92.1642 290.731L89.5236 289.81C77.8465 307.132 66.1636 324.455 54.4769 341.779V341.778ZM152.108 66.1644L142.316 43.7271L137.68 65.6124L135.597 65.5708L133.868 52.5864C130.055 64.3937 130.206 72.9984 136.654 78.6077L152.108 66.1644ZM89.6289 204.871C113.265 213.48 123.061 212.475 145.093 203.569C127.577 198.871 109.666 202.382 89.6289 204.871ZM533.749 125.735L536.061 127.006H536.067C551.337 115.178 564.973 101.37 576.603 85.9486C563.092 95.5215 550.087 105.662 537.603 116.361C535.316 118.319 534.983 122.553 533.749 125.735ZM607.968 94.6778L649.192 146.344C640.009 123.651 631.4 102.719 607.968 94.6778ZM279.314 121.282L286.392 142.271L308.184 132.849C287.252 120.479 287.252 120.48 279.314 121.282ZM99.5275 267.042C82.2929 275.516 70.0542 290.344 54.7622 301.292C75.6316 297.433 88.0129 282.787 99.5275 267.042ZM212.71 23.0151C219.773 22.8953 222.018 20.9943 221.007 16.864C219.726 12.5359 216.424 9.09324 212.153 7.63484C207.877 6.17645 203.163 6.88483 199.502 9.53069C197.747 11.4318 196.846 13.9682 196.997 16.5567C197.564 18.6764 199.122 20.39 201.179 21.1608C204.971 22.0619 208.825 22.6818 212.71 23.0151ZM285.2 176.348C299.913 165.525 314.298 154.942 328.689 144.359C325.001 145.031 321.46 146.333 318.22 148.213C309.147 152.755 300.247 157.713 290.923 161.677C282.73 165.162 282.522 164.667 285.199 176.349L285.2 176.348ZM226.158 31.8684C230.986 35.1914 235.71 38.4414 241.825 42.6496L234.83 44.1392C234.893 51.9518 241.679 50.4048 245.851 52.2486C250.304 54.2174 254.986 55.6704 260.674 57.759C257.575 49.4256 254.174 44.0096 249.314 43.587C243.83 43.113 241.986 39.5296 239.606 36.2224C234.017 28.4724 234.153 28.3736 226.158 31.8684ZM640.185 171.068C638.487 146.147 618.513 134.99 607.961 117.636L605.221 119.439C616.607 136.245 627.986 153.058 640.185 171.068ZM524.789 30.5884C516.945 40.2811 525.836 45.6978 528.06 53.0151C534.607 50.7339 540.252 48.7651 547.809 46.1348C538.866 40.0984 531.866 35.3692 524.788 30.5882L524.789 30.5884ZM314.909 163.495L354.773 145L353.075 138.23V138.224C338.195 142.818 324.945 151.588 314.909 163.495ZM563.509 209.954C567.379 191.907 571.243 173.855 575.113 155.808L572.139 155.194C560.358 171.631 565.905 191.601 563.504 209.949L563.509 209.954ZM527.488 62.5404L530.133 79.3271C539.107 75.2178 546.404 71.874 553.555 68.5979L552.461 61.1239L542.055 67.9156L540.789 66.7334L544.529 58.0511L534.774 66.3584L527.488 62.5404ZM547.452 125.103L548.592 126.233C553.243 124.343 557.941 122.567 562.524 120.541C571.722 116.483 573.795 111.869 571.727 100.311L547.452 125.103ZM275.065 168.056C273.549 171.098 271.268 173.489 271.711 175.15C274.206 184.463 269.622 191.796 265.825 199.41C264.778 201.509 263.518 203.504 261.122 207.723C278.117 194.978 281.909 183.854 275.065 168.056ZM579.558 166.999C572.287 181.671 578.454 196.254 579.772 210.942C582.855 196.447 582.782 181.458 579.558 166.999ZM523.282 84.8685C513.86 88.7747 511.183 93.4414 511.433 104.546C525.631 104.348 528.24 100.306 523.282 84.8631V84.8685ZM241.736 60.0658C241.288 71.3158 247.798 76.1232 261.329 75.3165C262.329 73.6186 262.433 71.5353 261.605 69.7435C260.782 67.9518 259.131 66.6758 257.188 66.3321C252.219 64.5665 247.403 62.3835 241.736 60.0658ZM434.189 262.492C442.413 246.899 433.017 235.372 428.283 222.752L425.788 223.299L434.189 262.492ZM229.402 228.362L244.512 260.372L247.121 259.57C243.001 249.789 243.485 238.888 237.621 229.508C235.439 226.023 232.913 225.997 229.402 228.362ZM465.376 219.19C471.797 228.554 476.985 236.122 482.173 243.69L484.105 242.773L476.595 217.992L465.376 219.19ZM162.562 18.8966C156.244 28.7352 157.89 38.1673 155.979 47.8446C167.547 40.6728 169.692 32.09 162.562 18.8966ZM453.162 222.763L452.1 225.472C458.298 236.237 464.496 247.008 470.693 257.774C468.453 246.753 464.938 236.034 460.224 225.826C459.459 224.097 455.594 223.748 453.162 222.763ZM277.442 136.763L263.63 141.196C263.542 147.487 266.75 153.367 272.094 156.696C274.703 149.373 280.734 144.247 277.442 136.763ZM361.906 113.867C357.625 131.337 359.13 135.941 369.495 140.274C373.474 130.238 365.255 123.686 361.906 113.867ZM309.77 17.1899C311.796 35.2259 327.229 43.6899 337.484 55.8459C328.244 42.9605 319.005 30.0753 309.77 17.1846V17.1899ZM365.901 98.7833C365.562 96.4863 364.807 94.2677 363.672 92.2417C361.484 90.5021 359.068 89.0698 356.495 87.9761L365.942 85.351C361.849 79.7885 358.875 75.0906 351.65 73.4707L351.645 73.476C352.703 76.5697 353.447 79.7624 353.859 83.0072C353.958 93.8874 353.896 94.0073 365.901 98.7833ZM387.578 216.513C388.333 225.049 389.177 230.715 389.24 236.387C389.302 242.07 388.583 247.757 388.203 253.445C393.422 243.616 396.745 225.523 394.922 221.679C394.219 220.195 391.922 219.471 387.578 216.513ZM493.344 209.804L484.062 216.289C489.916 223.284 495.38 229.805 500.838 236.325L502.453 235.252L493.344 209.804ZM364.724 173.226L353.411 202.632C358.489 198.429 362.953 193.528 366.666 188.08C370.536 183.184 370.041 178.867 364.724 173.226ZM404.265 -11.8677L402.077 -10.576L411.452 11.236L420.135 7.41308L404.265 -11.8677ZM218.852 228.466C214.289 239.799 221.45 248.648 220.008 257.996C225.331 244.772 225.206 237.502 218.852 228.466ZM121.144 264.518L118.711 264.393C117.649 268.872 116.857 273.403 116.331 277.977C115.972 283.669 116.42 289.414 116.55 296.747C121.81 286.878 123.435 275.466 121.144 264.518ZM189.898 24.8377C186.961 17.2543 185.502 11.1817 177.403 7.92567L178.961 25.9523L189.898 24.8377ZM163.929 237.504C169.481 235.176 174.507 233.067 181.18 230.27C175.711 227.437 173.836 221.129 168.117 224.218C163.789 226.551 159.616 230.03 163.929 237.504ZM390.822 0.971001L401.812 29.8403C403.51 18.6529 406.249 7.20967 390.822 0.971001ZM613.356 117.304L632.845 139.154C626.553 121.81 622.038 116.82 613.356 117.304ZM123.729 245.471C137.964 247.627 143.817 234.57 154.593 230.216H154.598C146.275 233.237 138.155 236.794 130.295 240.862C127.993 242.232 125.801 243.774 123.728 245.472L123.729 245.471ZM596.556 157.444L600.29 156.913L590.524 123.35L588.436 123.923L596.556 157.444ZM600.873 64.3243C606.681 70.6421 616.087 72.2046 628.561 69.3035H628.567C619.915 65.2827 610.379 63.5691 600.873 64.3243ZM452.473 211.884C443.755 202.535 443.244 202.488 434.437 210.176C441.568 214.697 441.568 214.697 452.473 211.884ZM541.889 229.52L544.025 230.708C548.702 223.854 558.629 219.895 554.999 206.853L541.889 229.52ZM507.316 66.147L517.556 79.4803C521.144 71.7721 521.144 71.7721 516.488 63.6163L507.316 66.147ZM600.561 129.674L602.707 128.741C596.952 117.533 594.655 104.824 585.983 94.892L600.561 129.674ZM453.415 257.586L445.56 231.288C444.238 235.965 444.274 240.919 445.665 245.575C447.055 250.231 449.743 254.398 453.415 257.586ZM257.761 194.446C262.319 190.894 263.97 184.753 261.808 179.394C261.027 177.68 257.022 177.441 253.183 176.055L257.761 194.446ZM584.215 126.779L581.965 126.873L585.303 160.665L587.038 160.503L584.215 126.779ZM391.361 195.41C392.762 209.691 394.325 211.232 405.279 210.295L391.361 195.41ZM185.468 213.462C187.515 223.503 189.682 224.186 202.181 220.009L185.468 213.462ZM125.223 97.4203L132.384 99.5558L132.212 89.7017L126.978 93.5402L124.066 77.3842L122.65 77.6498L125.223 97.4203ZM567.089 63.0244L563.699 56.915C561.975 59.4931 561.834 60.6442 562.063 61.7119L562.058 61.7172C562.36 62.6807 562.761 63.6078 563.261 64.4879C575.891 64.0296 575.891 64.0296 579.985 56.9879L567.089 63.0244ZM440.928 25.0817L461.407 26.441C453.047 18.3733 451.329 18.2587 440.928 25.0817ZM84.5413 257.162L82.635 254.13L68.0257 265.401C74.083 263.417 82.588 265.276 84.5413 257.162ZM576.115 124.667L573.328 124.646L571.323 144.291C579.901 137.63 575.24 130.683 576.115 124.667ZM140.288 253.474L137.637 254.203C137.788 261.781 140.772 269.031 146.007 274.52L140.288 253.474ZM446.101 186.094L444.81 183.224L431.758 183.453L438.471 193.365L446.101 186.094ZM621.715 172.87L623.699 171.739L612.345 149.651L609.913 151L621.715 172.87ZM471.875 23.443C479.927 16.3857 479.854 15.8545 471.656 10.8649L471.875 23.443ZM430.76 22.7243C424.671 15.5888 419.453 18.0055 413.213 23.0315L430.76 22.7243ZM277.6 77.4896C279.949 86.1615 286.902 85.5156 293.283 86.1615L277.6 77.4896ZM204.745 246.09C213.448 238.397 213.448 238.397 205.261 233.829L204.745 246.09ZM108.787 249.824H108.792C102.078 249.72 95.9221 253.527 93.0158 259.579L108.787 249.824ZM303.76 121.855C307.708 127.459 314.953 129.683 321.364 127.251L303.76 121.855ZM276.281 -41.532L273.635 -40.0528L282.807 -24.6928L284.745 -25.8647L276.281 -41.532ZM448.588 7.65067C443.401 5.9996 437.968 4.59333 437.65 12.9267L448.588 7.65067ZM295.855 147.117C290.172 147.237 285.24 148.43 284.152 155.154C288.053 152.477 291.954 149.794 295.855 147.117ZM482.828 6.63732C489.161 14.3352 489.161 14.3352 498.672 14.4915L482.828 6.63732ZM483.713 25.7573L483.838 27.1167L494.505 26.9292L494.448 25.5698L483.713 25.7573ZM206.807 253.184L204.723 252.918L203.671 261.835L205.645 262.09L206.807 253.184ZM388.98 28.2107C391.855 36.3565 391.855 36.3565 397.464 36.9763L388.98 28.2107ZM577.527 46.424L579.704 48.5647L583.719 42.4553L581.782 41.1637L577.527 46.424ZM384.367 78.5333L387.299 78.0958L386.242 71.4396L384.247 71.6687L384.367 78.5333ZM292.575 -8.57067L294.387 -9.93521L289.752 -15.8936L288.408 -14.8988L292.575 -8.57067ZM641.921 13.804L640.572 11.7988L634.666 16.1061L635.822 17.7051L641.921 13.804ZM599.583 33.0693L601.385 33.8558L603.552 28.6214L601.973 27.9391L599.583 33.0693ZM186.449 242.963C188.986 241.317 190.194 240.963 190.502 240.233C190.725 239.15 190.741 238.041 190.548 236.952L189.043 236.739L186.449 242.963ZM324.969 52.136L323.376 53.1464L327.105 57.7038L328.324 56.7871L324.969 52.136Z"
          fill="#8A7F7F"
        />
      </g>
      <defs>
        <clipPath id="clip0_564_1445">
          <rect width="484" height="391" fill="white" />
        </clipPath>
      </defs>
    </svg>
  );
};

export default TreePrint;
